summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2021-07-20 06:59:56 +0200
committerMichał Górny <mgorny@gentoo.org>2021-07-20 11:08:22 +0200
commit7296313bc87c63cd78baa57f5b2a50123bfa4134 (patch)
treef12d00b09c2a4e71da6a1746d7cd0584b4f50968
parentvirtual/dist-kernel: Bump to 5.12.18 (diff)
downloadgentoo-7296313bc87c63cd78baa57f5b2a50123bfa4134.tar.gz
gentoo-7296313bc87c63cd78baa57f5b2a50123bfa4134.tar.bz2
gentoo-7296313bc87c63cd78baa57f5b2a50123bfa4134.zip
sys-kernel/vanilla-kernel: Bump to 5.10.51
Signed-off-by: Michał Górny <mgorny@gentoo.org>
-rw-r--r--sys-kernel/vanilla-kernel/Manifest2
-rw-r--r--sys-kernel/vanilla-kernel/vanilla-kernel-5.10.51.ebuild102
2 files changed, 104 insertions, 0 deletions
diff --git a/sys-kernel/vanilla-kernel/Manifest b/sys-kernel/vanilla-kernel/Manifest
index 5f71c441f46d..2f0ef2786f2e 100644
--- a/sys-kernel/vanilla-kernel/Manifest
+++ b/sys-kernel/vanilla-kernel/Manifest
@@ -20,6 +20,8 @@ DIST linux-5.10.49.tar.sign 991 BLAKE2B 21e7ae30246ef738b4d75fe2c57a2481027d1f6f
DIST linux-5.10.49.tar.xz 116374664 BLAKE2B 493574a46a965e34a6bd5c922e50969588472e7eabb0d524c82bbfbc86c312184e85a14a4cc9d7f7cdaa1a82c3982af7ec950eecfcee5f529b4790147861c49d SHA512 883763a2ce23c5c9d63f3707003dca1cf5422bdaecb3eef6dddbd402c78dad6f7e9a27051eddd5de89dc3db3b4bdc4d04db2fbf381961ac0d3c75e03a688bfb1
DIST linux-5.10.50.tar.sign 991 BLAKE2B 6dd2c571f60a04e291ae5158a4968735e43d0aa95168fb6440807609dcc114c35f9441a07b56580051513d7f5a417e181ad536a8d723a26a4bbddce059bd0f9b SHA512 3911fa933ba6c389bf920d4a5b665718175272652d74f382f857dfc0f92d4aa60daab55b2381ef3d20c165524f1e9636f2ee9c071959c902485bb8c5d22ea45d
DIST linux-5.10.50.tar.xz 116381152 BLAKE2B 30dbd248f8d66b9d1ddb96c90667a781ad20897c37266236cd26ac81a30875ca4483c2626388aa28ace35a5e1072318c7bb6d2dba5cb1cd17650b6766c6d0ed3 SHA512 ffce6eae6da7b0bb7dff46cbea59e2e7331de0469f6d1331e29b0e7b92e25350fcd7011e759dac768f5642034c7f0f8610ac3f8000b801e2aecc1f7bbb452912
+DIST linux-5.10.51.tar.sign 991 BLAKE2B cdcd2c96da47f21c8563eefb27d571e74ec34c27016c01a27d2dc12f1fc4b0f4f0b0098305d041fb9a95cf5083ab12de7044b249737761e64156bfa13234c256 SHA512 16acbc2eabbc05c3f6accbc4c6783e2e6e181691049aad6b6f878783db00126b7cb01348a34068aeee07b49a889052e093f5fb645e9a656361bfecaf52d9f9d2
+DIST linux-5.10.51.tar.xz 116382516 BLAKE2B ef6088fa7778e035e62017f02327b642285c25c9c7b6ae00356f743823f4bdeea03db1ffff6492fa13b0e61983713a6ef7cb3a63db13759f414f25e29aa0bb83 SHA512 2cd1c10cc5fa62e09b487f2cae503f476312975b6b424d905622ba30f86b77083f475d867783bef5abf08af7e1cb0efa55a0d7038d1aba8f170ab51b2510e0e6
DIST linux-5.12.15.tar.sign 991 BLAKE2B 668cc702b2c1bdac78b334b2c9c8f0bee20f1c6fae584c7bde8787831b8182024639f9862845520cbee9400abbe5248f418cc654cb1013e82afd2f42391faf67 SHA512 ec28cd3d5a8c293193579221adeb4077eb43c061fa12c825875ccdbabb6490962edb4177515ec56def97554ce2f042848fe126fd4f90fc6e550f223c9e9576ab
DIST linux-5.12.15.tar.xz 118166168 BLAKE2B 2d94859080bba686786b690733d6df4a17f6183c690854545b87d784d16fbc5050fc07be08b2360cc1d0a6fe11bd8f18add68c893d92bb52e10bb0f61ff4eb76 SHA512 99ac7c8550548f2626ff891024c9e613c98011f3513b17b46d4a0af98242449ff373e7429ccad7c893dddcd413961d1726b121242b3f1f6f4eace523b70754c2
DIST linux-5.12.16.tar.sign 991 BLAKE2B abb400dbf710771ed416ad144501d9d65096da1957b80a7ccedbfffb5277d4db5e33bf4bf7c96bab5a0f7e6ca5bd09af5eed0ecd133aec9bb274099b3d32f016 SHA512 7c2ae2bad8f0d456d3a2b5ea5983092883c724b9b5bba21a99ab1eeb744d5a764d69e7d77b28a2499dbfd04e1e764ebf93a30e13e37c92f806b8d825bfdcefdf
diff --git a/sys-kernel/vanilla-kernel/vanilla-kernel-5.10.51.ebuild b/sys-kernel/vanilla-kernel/vanilla-kernel-5.10.51.ebuild
new file mode 100644
index 000000000000..12c958a4bb2d
--- /dev/null
+++ b/sys-kernel/vanilla-kernel/vanilla-kernel-5.10.51.ebuild
@@ -0,0 +1,102 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-build verify-sig
+
+MY_P=linux-${PV}
+# https://koji.fedoraproject.org/koji/packageinfo?packageID=8
+CONFIG_VER=5.10.12
+CONFIG_HASH=836165dd2dff34e4f2c47ca8f9c803002c1e6530
+GENTOO_CONFIG_VER=5.10.32
+
+DESCRIPTION="Linux kernel built from vanilla upstream sources"
+HOMEPAGE="https://www.kernel.org/"
+SRC_URI+=" https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${MY_P}.tar.xz
+ https://github.com/mgorny/gentoo-kernel-config/archive/v${GENTOO_CONFIG_VER}.tar.gz
+ -> gentoo-kernel-config-${GENTOO_CONFIG_VER}.tar.gz
+ verify-sig? (
+ https://cdn.kernel.org/pub/linux/kernel/v$(ver_cut 1).x/${MY_P}.tar.sign
+ )
+ amd64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-x86_64-fedora.config
+ -> kernel-x86_64-fedora.config.${CONFIG_VER}
+ )
+ arm64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-aarch64-fedora.config
+ -> kernel-aarch64-fedora.config.${CONFIG_VER}
+ )
+ ppc64? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-ppc64le-fedora.config
+ -> kernel-ppc64le-fedora.config.${CONFIG_VER}
+ )
+ x86? (
+ https://src.fedoraproject.org/rpms/kernel/raw/${CONFIG_HASH}/f/kernel-i686-fedora.config
+ -> kernel-i686-fedora.config.${CONFIG_VER}
+ )"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
+IUSE="debug"
+REQUIRED_USE="
+ arm? ( savedconfig )"
+
+RDEPEND="
+ !sys-kernel/vanilla-kernel-bin:${SLOT}"
+BDEPEND="
+ debug? ( dev-util/pahole )
+ verify-sig? ( app-crypt/openpgp-keys-kernel )"
+PDEPEND="
+ >=virtual/dist-kernel-${PV}"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=${BROOT}/usr/share/openpgp-keys/kernel.org.asc
+
+src_unpack() {
+ if use verify-sig; then
+ einfo "Unpacking linux-${PV}.tar.xz ..."
+ verify-sig_verify_detached - "${DISTDIR}"/linux-${PV}.tar.sign \
+ < <(xz -cd "${DISTDIR}"/linux-${PV}.tar.xz | tee >(tar -x))
+ assert "Unpack failed"
+ unpack "gentoo-kernel-config-${GENTOO_CONFIG_VER}.tar.gz"
+ else
+ default
+ fi
+}
+
+src_prepare() {
+ default
+
+ # prepare the default config
+ case ${ARCH} in
+ amd64)
+ cp "${DISTDIR}/kernel-x86_64-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ arm)
+ return
+ ;;
+ arm64)
+ cp "${DISTDIR}/kernel-aarch64-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ ppc64)
+ cp "${DISTDIR}/kernel-ppc64le-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ x86)
+ cp "${DISTDIR}/kernel-i686-fedora.config.${CONFIG_VER}" .config || die
+ ;;
+ *)
+ die "Unsupported arch ${ARCH}"
+ ;;
+ esac
+
+ echo 'CONFIG_LOCALVERSION="-dist"' > "${T}"/version.config || die
+ local merge_configs=(
+ "${T}"/version.config
+ "${WORKDIR}/gentoo-kernel-config-${GENTOO_CONFIG_VER}"/base.config
+ )
+ use debug || merge_configs+=(
+ "${WORKDIR}/gentoo-kernel-config-${GENTOO_CONFIG_VER}"/no-debug.config
+ )
+ kernel-build_merge_configs "${merge_configs[@]}"
+}